Compare commits

...

15 Commits

Author SHA1 Message Date
Taiki Endo
c5814bad44 Release 2.12.14 2023-07-19 12:34:49 +09:00
Taiki Endo
cbd3af1a1b Update cargo-binstall@latest to 1.1.0 (#162) 2023-07-19 10:50:42 +10:00
Taiki Endo
af0e3259d2 Update cspell dictionary 2023-07-19 04:33:31 +09:00
Taiki Endo
d7346df193 Move CI script from ci to tools/ci 2023-07-19 03:21:43 +09:00
Taiki Endo
c8da22002b Release 2.12.13 2023-07-18 23:58:28 +09:00
Taiki Endo
1c9cdf1902 Update changelog 2023-07-18 23:57:57 +09:00
Taiki Endo
87c08913ae Pass options to unzip 2023-07-18 23:51:08 +09:00
Taiki Endo
2f673b4841 Release 2.12.12 2023-07-17 14:28:29 +09:00
Taiki Endo
ec615ab753 Update mdbook@latest to 0.4.32 (#161) 2023-07-17 12:15:24 +10:00
Taiki Endo
3048daa459 Update cspell dictionary 2023-07-16 02:16:10 +09:00
Taiki Endo
ce314215ec Release 2.12.11 2023-07-13 12:44:33 +09:00
Taiki Endo
3ac3842059 Enable dependabot update for codegen 2023-07-13 12:44:18 +09:00
Taiki Endo
2db66fc31e Update syft@latest to 0.85.0 2023-07-13 12:23:03 +09:00
Taiki Endo
fb545eb1c9 Update dprint@latest to 0.39.1 2023-07-13 12:23:03 +09:00
Taiki Endo
42e74b55ab Revert "Update release scripts (take 3)"
This reverts commit be8c41d56e.

```
+ git push origin refs/heads/v2
To https://github.com/taiki-e/install-action
 ! [rejected]        v2 -> v2 (non-fast-forward)
error: failed to push some refs to 'https://github.com/taiki-e/install-action'
hint: Updates were rejected because the tip of your current branch is behind
hint: its remote counterpart. Integrate the remote changes (e.g.
hint: 'git pull ...') before pushing again.
hint: See the 'Note about fast-forwards' in 'git push --help' for details.
```
2023-07-09 13:11:42 +09:00
13 changed files with 154 additions and 101 deletions

View File

@@ -38,6 +38,7 @@ asmjs
atmega
bpfeb
bpfel
csky
cuda
eabi
eabihf
@@ -45,6 +46,7 @@ emscripten
espidf
fortanix
gnuabi
gnuabiv
gnueabi
gnueabihf
gnullvm

9
.github/dependabot.yml vendored Normal file
View File

@@ -0,0 +1,9 @@
version: 2
updates:
- package-ecosystem: cargo
directory: /
schedule:
interval: daily
commit-message:
prefix: ''
labels: []

View File

@@ -180,10 +180,8 @@ jobs:
- run: tools/manifest.sh
env:
GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
- run: git add -N . && git diff --exit-code
if: github.repository_owner != 'taiki-e' || github.event_name != 'schedule' && !(github.event_name == 'push' && github.ref == 'refs/heads/main')
- id: diff
run: ci/manifest.sh
run: tools/ci/manifest.sh
if: github.repository_owner == 'taiki-e' && (github.event_name == 'schedule' || github.event_name == 'push' && github.ref == 'refs/heads/main')
- uses: peter-evans/create-pull-request@v5
with:
@@ -193,3 +191,4 @@ jobs:
branch: update-manifest
token: ${{ secrets.CREATE_PR_TOKEN }}
if: github.repository_owner == 'taiki-e' && (github.event_name == 'schedule' || github.event_name == 'push' && github.ref == 'refs/heads/main') && steps.diff.outputs.success == 'false'
- run: git add -N . && git diff --exit-code

View File

@@ -22,11 +22,10 @@ jobs:
steps:
- uses: actions/checkout@v3
with:
token: ${{ secrets.CREATE_PR_TOKEN }}
persist-credentials: false
- uses: taiki-e/create-gh-release-action@v1
with:
changelog: CHANGELOG.md
title: $version
branch: 'main|v[0-9]+'
token: ${{ secrets.GITHUB_TOKEN }}
- run: ci/publish.sh

View File

@@ -10,6 +10,24 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.12.14] - 2023-07-19
- Update `cargo-binstall@latest` to 1.1.0.
## [2.12.13] - 2023-07-18
- Slightly improve the time taken to install tools distributed as `.zip`.
## [2.12.12] - 2023-07-17
- Update `mdbook@latest` to 0.4.32.
## [2.12.11] - 2023-07-13
- Update `syft@latest` to 0.85.0.
- Update `dprint@latest` to 0.39.1.
## [2.12.10] - 2023-07-09
- Update `dprint@latest` to 0.39.0.
@@ -935,7 +953,11 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.12.10...HEAD
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.12.14...HEAD
[2.12.14]: https://github.com/taiki-e/install-action/compare/v2.12.13...v2.12.14
[2.12.13]: https://github.com/taiki-e/install-action/compare/v2.12.12...v2.12.13
[2.12.12]: https://github.com/taiki-e/install-action/compare/v2.12.11...v2.12.12
[2.12.11]: https://github.com/taiki-e/install-action/compare/v2.12.10...v2.12.11
[2.12.10]: https://github.com/taiki-e/install-action/compare/v2.12.9...v2.12.10
[2.12.9]: https://github.com/taiki-e/install-action/compare/v2.12.8...v2.12.9
[2.12.8]: https://github.com/taiki-e/install-action/compare/v2.12.7...v2.12.8

View File

@@ -1,75 +0,0 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -euo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
# shellcheck disable=SC2154
trap 's=$?; echo >&2 "$0: Error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}' ERR
bail() {
echo >&2 "error: $*"
exit 1
}
if [[ -z "${CI:-}" ]]; then
bail "this script is intended to call from release workflow on CI"
fi
ref="${GITHUB_REF:-}"
if [[ "${ref}" != "refs/tags/"* ]]; then
bail "tag ref should start with 'refs/tags/'"
fi
tag="${ref#refs/tags/}"
git config user.name "Taiki Endo"
git config user.email "te316e89@gmail.com"
version="${tag}"
version="${version#v}"
tools=()
for tool in tools/codegen/base/*.json; do
tools+=("$(basename "${tool%.*}")")
done
# Aliases
tools+=(nextest)
# Not manifest-based
tools+=(valgrind)
(
set -x
major_version_tag="v${version%%.*}"
git checkout -b "${major_version_tag}"
git push origin refs/heads/"${major_version_tag}"
if git --no-pager tag | grep -Eq "^${major_version_tag}$"; then
git tag -d "${major_version_tag}"
git push --delete origin refs/tags/"${major_version_tag}"
fi
git tag "${major_version_tag}"
git checkout main
git branch -d "${major_version_tag}"
)
for tool in "${tools[@]}"; do
(
set -x
git checkout -b "${tool}"
sed -i -e "s/required: true/required: false/g" action.yml
sed -i -e "s/# default: #publish:tool/default: ${tool}/g" action.yml
git add action.yml
git commit -m "${tool}"
git push origin -f refs/heads/"${tool}"
if git --no-pager tag | grep -Eq "^${tool}$"; then
git tag -d "${tool}"
git push --delete origin refs/tags/"${tool}"
fi
git tag "${tool}"
git checkout main
git branch -D "${tool}"
)
done
set -x
git push origin --tags

View File

@@ -115,7 +115,7 @@ download_and_extract() {
else
case "${url}" in
*.zip)
unzip tmp
unzip -q tmp "${bin_in_archive#\./}"
mv "${bin_in_archive}" "${bin_dir}/"
;;
*) mv tmp "${installed_bin}" ;;
@@ -470,7 +470,7 @@ for tool in "${tools[@]}"; do
(
cd "${tmp_dir}"
download_and_checksum "${url}" "${checksum}"
unzip tmp
unzip -q tmp
mv "bin/protoc${exe}" "${bin_dir}/"
mkdir -p "${include_dir}/"
cp -r include/. "${include_dir}/"

View File

@@ -20,26 +20,26 @@
}
},
"latest": {
"version": "1.0.0"
"version": "1.1.0"
},
"1.0.0": {
"1.1.0": {
"x86_64_linux_musl": {
"checksum": "f28070ac31f970cae5e5fd7ba630566dd2428f85eb699327d164896e76f9dd7b"
"checksum": "6ef8a5e5fe8961a6990e10165ac58cc36d89997e6ae73affa3d350322a388d3e"
},
"x86_64_macos": {
"checksum": "638ce20037381b16554892919e1d2b32f9e3ed83eca7a84b227c63f338e6337e"
"checksum": "aa146ef1545003dee49a5cf5b42c5407896dbeace41787423e1f2c47e7ec44ce"
},
"x86_64_windows": {
"checksum": "163fb351aa7cf09deae8032a5de7de926e735455a38f6a05ff1c6c6ba6127141"
"checksum": "7b360e29d027e3b29fc2ee0b9cab9789174a377b994b04797400688c7c4e8abe"
},
"aarch64_linux_musl": {
"checksum": "54358baca731c2a2f6978467a60274915cd0148acd81f6dc73488b9053b454ca"
"checksum": "abccd8ed7f7732f10c081d628317f9365e0e8e13c1a7f1a6a964cf083cb596c2"
},
"aarch64_macos": {
"checksum": "cf8408c72fed2dc8543279322746e602b5f4489c4d42446806d6e6b7950a4143"
"checksum": "9a6abdb8bbb54a513cff57c379dbae738af54e450979f59b92b2bc82b113baa7"
},
"aarch64_windows": {
"checksum": "ce7df1066670259419461ad444fae6881e8cea55e9304d424aff473423ac6428"
"checksum": "ede9dc2cf3c98a5b08bbe409ebfbc650ddb5c83551b415d97ef34dda2b3a6634"
}
}
}

21
manifests/dprint.json generated
View File

@@ -20,10 +20,27 @@
}
},
"latest": {
"version": "0.39.0"
"version": "0.39.1"
},
"0.39": {
"version": "0.39.0"
"version": "0.39.1"
},
"0.39.1": {
"x86_64_linux_musl": {
"checksum": "5e6ff56f68d31ff8411367fa021a15b29092d0d48bcd8b2741953927652da953"
},
"x86_64_macos": {
"checksum": "f4fb55f4361d70a43fd6cefd25328accef0cc52790950261f1d21aabfe97132d"
},
"x86_64_windows": {
"checksum": "6e7f87393fadd04bee062859c00f71bd7379960c15cebd673b35f3c810a0cee9"
},
"aarch64_linux_gnu": {
"checksum": "3a91d748c57d8510399d17eb14181c8f2803d9e67f7403ad7043a2c7a30c3568"
},
"aarch64_macos": {
"checksum": "63aa28e5ee984c029da74f51b53d4b3f979d9b70fce3800eb82486af389d3a99"
}
},
"0.39.0": {
"x86_64_linux_musl": {

18
manifests/mdbook.json generated
View File

@@ -17,10 +17,24 @@
}
},
"latest": {
"version": "0.4.31"
"version": "0.4.32"
},
"0.4": {
"version": "0.4.31"
"version": "0.4.32"
},
"0.4.32": {
"x86_64_linux_musl": {
"checksum": "ac38f040eb462752548c865d6c9e900aa862852d42190cd773d5f20cd7b757f9"
},
"x86_64_macos": {
"checksum": "a625001956c903ff7b6864e90bb6380eae0e8ed711040dfeab932ace68e73d79"
},
"x86_64_windows": {
"checksum": "c06f2eeb4cfa487931213b830701a3dfa1eab5fcd7ec3756f14ffc68171a4817"
},
"aarch64_linux_musl": {
"checksum": "e68950f91fa907e89bd7d3f4d3e228a0c7bb4556689ba9e2b3adc42e4e7d6021"
}
},
"0.4.31": {
"x86_64_linux_musl": {

22
manifests/syft.json generated
View File

@@ -27,7 +27,27 @@
}
},
"latest": {
"version": "0.84.1"
"version": "0.85.0"
},
"0.85": {
"version": "0.85.0"
},
"0.85.0": {
"x86_64_linux_musl": {
"checksum": "2a92c69e1017e2bf3785886a8298ad2b94dda69f9f5623560999740986dd8420"
},
"x86_64_macos": {
"checksum": "8dc8a29466bc69f514b56d8e41801ff781253646d07044982122609cb48bc1da"
},
"x86_64_windows": {
"checksum": "ca38ceb73b3124e92e2717f269e826a5091f128ee9bade27c9d9481b45aca43e"
},
"aarch64_linux_musl": {
"checksum": "fe96fc0c286feb554821ec1baf9367ad7122173998a8ca4ae2bcda844cd4a10a"
},
"aarch64_macos": {
"checksum": "0864e3b49ccf232bab7e171e4f8c03d1d6b291adc122ca009aa00218e9c74607"
}
},
"0.84": {
"version": "0.84.1"

View File

@@ -2,7 +2,7 @@
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -euxo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
cd "$(dirname "$0")"/../..
bail() {
echo >&2 "error: $*"

View File

@@ -102,7 +102,53 @@ if [[ -n "${tags}" ]]; then
x git commit -m "Release ${version}"
fi
x git tag "${tag}"
# TODO: the following still assumes admin permissions
x git push origin main
x git push origin --tags
tools=()
for tool in tools/codegen/base/*.json; do
tools+=("$(basename "${tool%.*}")")
done
# Aliases
tools+=(nextest)
# Not manifest-based
tools+=(valgrind)
(
set -x
git tag "${tag}"
git push origin main
git push origin --tags
major_version_tag="v${version%%.*}"
git checkout -b "${major_version_tag}"
git push origin refs/heads/"${major_version_tag}"
if git --no-pager tag | grep -Eq "^${major_version_tag}$"; then
git tag -d "${major_version_tag}"
git push --delete origin refs/tags/"${major_version_tag}"
fi
git tag "${major_version_tag}"
git checkout main
git branch -d "${major_version_tag}"
)
for tool in "${tools[@]}"; do
(
set -x
git checkout -b "${tool}"
sed -i -e "s/required: true/required: false/g" action.yml
sed -i -e "s/# default: #publish:tool/default: ${tool}/g" action.yml
git add action.yml
git commit -m "${tool}"
git push origin -f refs/heads/"${tool}"
if git --no-pager tag | grep -Eq "^${tool}$"; then
git tag -d "${tool}"
git push --delete origin refs/tags/"${tool}"
fi
git tag "${tool}"
git checkout main
git branch -D "${tool}"
)
done
set -x
git push origin --tags